org.apache.calcite.avatica

## Class MetaImpl.MetaClientInfoProperty

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaClientInfoProperty

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaClientInfoProperty
    extends Object

Metadata describing a client info property.

### Field Summary

Fields
`String` `defaultValue`
`String` `description`
`int` `maxLen`
`String` `name`

### Constructor Summary

Constructors
Constructor and Description
`MetaClientInfoProperty(String name, int maxLen, String defaultValue, String description)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final String name

#### maxLen

    public final int maxLen

#### defaultValue

    public final String defaultValue

#### description

    public final String description

### Constructor Detail

#### MetaClientInfoProperty

    public MetaClientInfoProperty(String name,
                                  int maxLen,
                                  String defaultValue,
                                  String description)